/*
	AQTRONIX XML Configuration Editor
	Copyright 2002 Parcifal Aertssen

	This file is part of AQTRONIX XML Configuration Editor.

    AQTRONIX XML Configuration Editor is free software; you can redistribute
	it and/or modify it under the terms of the GNU General Public License as
	published by the Free Software Foundation; either version 2 of the
	License, or (at your option) any later version.

    AQTRONIX XML Configuration Editor is distributed in the hope that it will
	be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with AQTRONIX XML Configuration Editor; if not, write to the 
	Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
// XMLCheckBox.h: interface for the CXMLCheckBox class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_XMLCHECKBOX_H__03B01415_1D5B_4C24_8DDA_59E0E46349B1__INCLUDED_)
#define AFX_XMLCHECKBOX_H__03B01415_1D5B_4C24_8DDA_59E0E46349B1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "MyStatic.h"
#include "MyButton.h"

class CXMLCheckBox : public CXMLObject  
{
public:
	virtual bool IsChanged();
	virtual CPoint Create(CWnd* pParentWindow, CPoint pos);
	CString XML();
	void SetValues(CString& name, WORD id, bool value, bool defaultvalue, CString& explanation);
	CXMLCheckBox();
	virtual ~CXMLCheckBox();

private:
	CMyStatic lblexp;
	CFont font_explanation;
	CFont font_default;
	CFont font_value;
	CMyButton checkbox;
	CMyButton checkboxdefault;
	bool value;
	bool defaultvalue;
	CString explanation;

};

#endif // !defined(AFX_XMLCHECKBOX_H__03B01415_1D5B_4C24_8DDA_59E0E46349B1__INCLUDED_)
