/*
	AQTRONIX XML Configuration Editor
	Copyright 2002 Parcifal Aertssen

	This file is part of AQTRONIX XML Configuration Editor.

    AQTRONIX XML Configuration Editor is free software; you can redistribute
	it and/or modify it under the terms of the GNU General Public License as
	published by the Free Software Foundation; either version 2 of the
	License, or (at your option) any later version.

    AQTRONIX XML Configuration Editor is distributed in the hope that it will
	be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with AQTRONIX XML Configuration Editor; if not, write to the 
	Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
// XMLEditBox.h: interface for the CXMLEditBox class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_XMLEDITBOX_H__231D96CA_AE5D_4026_BC8B_BECF73B71C6B__INCLUDED_)
#define AFX_XMLEDITBOX_H__231D96CA_AE5D_4026_BC8B_BECF73B71C6B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "MyStatic.h"

class CXMLEditBox : public CXMLObject  
{
public:
	virtual bool IsChanged();
	virtual CPoint Create(CWnd* pParentWindow, CPoint pos);
	void SetValues(CString& name, WORD id, CString& value, CString& defaultvalue, CString& explanation);
	CString XML();

	CXMLEditBox();
	virtual ~CXMLEditBox();

private:
	CString GetText();
	CFont font_label;
	CFont font_value;
	CFont font_default;
	CFont font_explanation;
	CMyStatic lblexp;
	CEdit editdefault;
	CMyStatic label;
	CString value;
	CString defaultvalue;
	CEdit edit;
	CString explanation;
};

#endif // !defined(AFX_XMLEDITBOX_H__231D96CA_AE5D_4026_BC8B_BECF73B71C6B__INCLUDED_)
