/*
	AQTRONIX XML Configuration Editor
	Copyright 2002 Parcifal Aertssen

	This file is part of AQTRONIX XML Configuration Editor.

    AQTRONIX XML Configuration Editor is free software; you can redistribute
	it and/or modify it under the terms of the GNU General Public License as
	published by the Free Software Foundation; either version 2 of the
	License, or (at your option) any later version.

    AQTRONIX XML Configuration Editor is distributed in the hope that it will
	be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with AQTRONIX XML Configuration Editor; if not, write to the 
	Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
// XMLList.h: interface for the CXMLList class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_XMLLIST_H__D78059FC_428C_48CB_B6D2_FD45B21F3850__INCLUDED_)
#define AFX_XMLLIST_H__D78059FC_428C_48CB_B6D2_FD45B21F3850__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "MyListCtrl.h"

#include "MyStatic.h"

class CXMLList : public CXMLObject  
{
public:
	void SetValues(CString& name, WORD id, CStringList& values, CString& explanation);
	virtual bool IsChanged();
	virtual CPoint Create(CWnd* pParentWindow, CPoint pos);
	CString XML();
	
	CXMLList();
	virtual ~CXMLList();

private:
	bool GetValues(CStringList& list);
	CFont font_label;
	CFont font_explanation;
	CFont font_values;
	CMyStatic lblexp;
	CMyStatic label;
	CMyListCtrl listctrl;
	CStringList values;
	CString explanation;
};

#endif // !defined(AFX_XMLLIST_H__D78059FC_428C_48CB_B6D2_FD45B21F3850__INCLUDED_)
