/*
	AQTRONIX XML Configuration Editor
	Copyright 2002 Parcifal Aertssen

	This file is part of AQTRONIX XML Configuration Editor.

    AQTRONIX XML Configuration Editor is free software; you can redistribute
	it and/or modify it under the terms of the GNU General Public License as
	published by the Free Software Foundation; either version 2 of the
	License, or (at your option) any later version.

    AQTRONIX XML Configuration Editor is distributed in the hope that it will
	be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with AQTRONIX XML Configuration Editor; if not, write to the 
	Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
// XMLObject.h: interface for the CXMLObject class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_XMLOBJECT_H__CB698E31_63E7_4032_ADD9_EEB94A25B714__INCLUDED_)
#define AFX_XMLOBJECT_H__CB698E31_63E7_4032_ADD9_EEB94A25B714__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CXMLObject  
{
public:
	virtual bool IsChanged();
	CString NameEncode(CString& str);
	CString NameDecode(CString& str);
	virtual void SetValues(CString& name,WORD id);
	CString XMLDecode(const char* str);
	CString XMLEncode(const char* str);
	virtual CPoint Create(CWnd* pParentWindow, CPoint pos);
	virtual CString XML();
	
	CXMLObject();
	virtual ~CXMLObject();

protected:
	WORD id;
	CString name;
};

#endif // !defined(AFX_XMLOBJECT_H__CB698E31_63E7_4032_ADD9_EEB94A25B714__INCLUDED_)
