/*
    AQTRONIX C++ Security Library
    Copyright 2002 Parcifal Aertssen

    This file is part of AQTRONIX C++ Security Library.

    AQTRONIX C++ Security Library is free software; you can redistribute
    it and/or modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.

    AQTRONIX C++ Security Library is distributed in the hope that it will
    be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
    of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with AQTRONIX C++ Security Library; if not, write to the Free
    Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
    MA  02111-1307  USA
*/
// FileName.h: interface for the CFileName class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FILENAME_H__15033FF3_3BB0_4580_8391_BEC06E684436__INCLUDED_)
#define AFX_FILENAME_H__15033FF3_3BB0_4580_8391_BEC06E684436__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CFileName : public CObject 
{
public:
	void SetFileName(CString fn);
	bool Exists();
	static bool Exists(const CString& fn);
	static bool DeleteFile(const CString& fn);
	void CreatePath();
	bool DeleteFile();
	static void CreatePath(CString wsPath);
	CString FullPathLCase;
	CString FullPath;
	CString PathLCase;
	CString ExtensionLCase;
	CString FileNameLCase;
	CString Extension;
	CString FileName;
	CString Path;
	CFileName& CFileName::operator =(const CString& fn);
	CFileName(CString fn = "");
	virtual ~CFileName();

};

#endif // !defined(AFX_FILENAME_H__15033FF3_3BB0_4580_8391_BEC06E684436__INCLUDED_)
