/*
    AQTRONIX C++ Security Library
    Copyright 2002 Parcifal Aertssen

    This file is part of AQTRONIX C++ Security Library.

    AQTRONIX C++ Security Library is free software; you can redistribute
    it and/or modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.

    AQTRONIX C++ Security Library is distributed in the hope that it will
    be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
    of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with AQTRONIX C++ Security Library; if not, write to the Free
    Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
    MA  02111-1307  USA
*/
// LogFile.h: interface for the CLogFile class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LOGFILE_H__7FEFF5F8_9957_40C5_92CE_A1DEE3B38AE0__INCLUDED_)
#define AFX_LOGFILE_H__7FEFF5F8_9957_40C5_92CE_A1DEE3B38AE0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CLogFile : private CFile  
{
public:
	bool WriteLine(CString msg);
	bool NewLine();
	CString GetLastError() const;
	void SetFileName(CString&);
	bool Write(CString);
	void Close();
	bool Open();
	CLogFile(CString f = "");
	virtual ~CLogFile();

private:
	CString Error;
	CString FileName;
	bool IsOpen;
};

#endif // !defined(AFX_LOGFILE_H__7FEFF5F8_9957_40C5_92CE_A1DEE3B38AE0__INCLUDED_)
