/*
	AQTRONIX XML Configuration Editor
	Copyright 2002 Parcifal Aertssen

	This file is part of AQTRONIX XML Configuration Editor.

    AQTRONIX XML Configuration Editor is free software; you can redistribute
	it and/or modify it under the terms of the GNU General Public License as
	published by the Free Software Foundation; either version 2 of the
	License, or (at your option) any later version.

    AQTRONIX XML Configuration Editor is distributed in the hope that it will
	be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with AQTRONIX XML Configuration Editor; if not, write to the 
	Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
// XMLTitle.h: interface for the CXMLTitle class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_XMLTITLE_H__518873CA_5F03_4D79_9DEF_A4D409DB2638__INCLUDED_)
#define AFX_XMLTITLE_H__518873CA_5F03_4D79_9DEF_A4D409DB2638__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "XMLObject.h"

#include "MyStatic.h"

class CXMLTitle : public CXMLObject  
{
public:
	virtual CPoint Create(CWnd *pParentWindow, CPoint pos);
	CString XML();
	CXMLTitle();
	virtual ~CXMLTitle();
private:
	CFont font;
	CMyStatic label;
};

#endif // !defined(AFX_XMLTITLE_H__518873CA_5F03_4D79_9DEF_A4D409DB2638__INCLUDED_)
